---
title: time to go deeper
description: outlining and reasoning a plan to learn linux
pubDate: 2023-08-23T10:36:51.379Z
draft: false
categories:
  - learning modern linux
tags:
  - linux
  - planning
---

It's been a while since my last proper blog post, and I haven't touched Michael Hausenblas' _Learning Modern Linux_ book yet. I thought I'd use this opportunity to return to blogging and note key takeaways from the aforementioned book.

Now, while I'm technically already using Linux for my main machine, I've had [my friend Eris](https://github.com/m1ndflay3r) assist me when preparing the Arch setup I've currently got up and running. Of course It wasn't a completely hands-off experience for me, and I'm not ungrateful for her helping me out. I'm not dissatisfied with the package either - it does a great job in every task between general usage, productivity, all the way up to gaming.

That being said, I believe it's high time I went deeper and got up close and personal with the OS. Having seen [a talk on deployment-as-a-service](https://www.youtube.com/watch?v=S6i4_jHhemc) from Brian, another friend of mine, I've realised that getting a more in-depth knowledge of the system that's used by the vast majority, if not all the servers that expose my websites to _the outside world_.

Better yet, the aforementioned book includes sections for networking and writing bash scripts for automating various tasks and coding up CLI tools, so I'll get to level up in those areas too. Overall, this should make me a more attractive hire even as a frontend developer, and also enable to branch out into DevOps, or even system administration in the long run.

Once I've finished this book, I'm looking to redo my Arch Linux setup, especially since I've recently got myself a spanking new 2 TB SSD with 7000 MBPS read/write speed. I might need to set up that system to dualboot with Windows, since PJAIT (the university I got accepted into) offers a wide array of software from Microsoft's devtools repository that I might have to use and that is next to impossible to use via Wine, such as Visual Studio or the Office 365 suite.

So there's that for the introduction I guess... once again, huge shout-outs go to Eris, Brian, as well as [noob404](https://twitter.com/Noob404yt) for being awesome devs (and more importantly - people), and for influencing my decision to go down this rabbit hole. This will very likely be a bumpy ride, full of head-scratching and pesky issues, but I've got sheer will and Arch Wiki on my side, so I should land relatively unscathed.

After all - what doesn't kill you, will try again... I mean, makes you stronger... or somthing along these lines.
